/*******************************************************************************
 * Ladder generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class Ladder extends NavigationPoint
    native
    placeable
    hidecategories(Navigation,Lighting,LightColor,Force);

var LadderVolume MyLadder;
var Ladder LadderList;

event bool SuggestMovePreparation(Pawn Other)
{
    // End:0x11
    if(MyLadder == none)
    {
        return false;
    }
    // End:0x68
    if(!MyLadder.InUse(Other))
    {
        MyLadder.PendingClimber = Other;
        return false;
    }
    Other.Controller.bPreparingMove = true;
    Other.Acceleration = vect(0.0, 0.0, 0.0);
    return true;
    //return ReturnValue;    
}

defaultproperties
{
    bSpecialMove=true
    bNotBased=true
    begin object name=CollisionCylinder class=CylinderComponent
        CollisionHeight=80.0
        CollisionRadius=40.0
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__Ladder.CollisionCylinder'
    CylinderComponent=CollisionCylinder
    Components(0)=none
    Components(1)=none
    Components(2)=none
    begin object name=CollisionCylinder class=CylinderComponent
        CollisionHeight=80.0
        CollisionRadius=40.0
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__Ladder.CollisionCylinder'
    Components(3)=CollisionCylinder
    Components(4)=none
    begin object name=CollisionCylinder class=CylinderComponent
        CollisionHeight=80.0
        CollisionRadius=40.0
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__Ladder.CollisionCylinder'
    CollisionComponent=CollisionCylinder
}